<?php

namespace Drupal\e3_marketo\Annotation;

use Drupal\Component\Annotation\Plugin;
use Drupal\Core\Annotation\Translation;

/**
 * Defines an annotation object for E3 Marketo Handlers.
 *
 * @see \Drupal\e3_marketo\Plugin\MarketoHandlerManager
 * @see plugin_api
 *
 * @ingroup e3_marketo
 *
 * @Annotation
 */
class MarketoHandler extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public string $id;

  /**
   * The label of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public Translation $label;

  /**
   * Handler description.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public Translation $description;

  /**
   * Applicable bundles for the handler.
   *
   * Leave empty to apply the handler to all existing bundles.
   *
   * @var array
   */
  public array $bundles;

  /**
   * Plugin priority. Higher priority plugins will be executed first.
   *
   * @var int
   */
  public int $priority;

}
