<?php

namespace Drupal\e3_marketo\Annotation;

use Drupal\Component\Annotation\Plugin;
use Drupal\Core\Annotation\Translation;

/**
 * Defines an annotation object for E3 Marketo Submission Behaviors.
 *
 * @see \Drupal\e3_marketo\Plugin\MarketoHandlerManager
 * @see plugin_api
 *
 * @ingroup e3_marketo
 *
 * @Annotation
 */
class SubmissionBehavior extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public string $id;

  /**
   * The label of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public Translation $label;

  /**
   * Handler description.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public Translation $description;

  /**
   * Weight of the plugin. Used for ordering when listing.
   *
   * @var int
   */
  public int $weight;

}
